#ifndef __WV_VIDEOWND
#define __WV_VIDEOWND

#include "Common.h"



typedef struct VIDEOWNDtag
{
	HANDLE	hBmpOrig;
	HANDLE	hBmpStr;
	HDC		hdcOrig;
	HDC		hdcStr;
	INT		iOrigW;
	INT		iOrigH;
} VIDEOWND, *LPVIDEOWND;

VOID DefineVideoWndClass(LPWNDCLASSEX lpWc);
LRESULT CALLBACK VideoWndProc(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

#endif	//__WV_VIDEOWND